import type { Bucket, RequestTools } from "../bucket.js";
import type { PromiseOrDirect } from "../interfaces.js";
import type { MetaByMetaKey } from "./OperationPlan.js";
/** @internal */
export declare function executeBucket(bucket: Bucket, requestContext: RequestTools): PromiseOrDirect<void>;
/** @internal */
export declare function newBucket(spec: Pick<Bucket, "layerPlan" | "store" | "size" | "hasErrors" | "polymorphicPathList" | "iterators">, parentMetaByMetaKey: MetaByMetaKey | null): Bucket;
//# sourceMappingURL=executeBucket.d.ts.map