import type { GraphQLScalarType, ListValueNode, ObjectValueNode } from "graphql";
import type { ExecutionExtra } from "../interfaces.js";
import { UnbatchedExecutableStep } from "../step.js";
/**
 * Handles "leaves" (scalars)
 */
export declare class __InputDynamicScalarStep<TLeaf = any> extends UnbatchedExecutableStep<TLeaf> {
    private value;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    private variableNames;
    constructor(inputType: GraphQLScalarType, value: ListValueNode | ObjectValueNode);
    valueFromValues(variableValues: any[]): any;
    unbatchedExecute: (_extra: ExecutionExtra, ...variableValues: any[]) => TLeaf;
    eval(): TLeaf;
    evalIs(expectedValue: undefined | null | 0): boolean;
}
//# sourceMappingURL=__inputDynamicScalar.d.ts.map